com.genesyslab.wfm8.API.service.config812

## Class CfgReportFilter

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgReportFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgReportFilter
      extends java.lang.Object
      implements java.io.Serializable

  Defines a filter in the request for Report information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `allUsers` Indicates whether report distribution list should be checked against current user or not.
    `private static long` | `serialVersionUID`
    `protected double` | `wmEndTimestamp` Defines end boundary of time range filter for CfgReport.wmTimestamp member.
    `protected java.util.List<java.lang.Integer>` | `wmReportId` A list of `CfgReport` identifiers to filter by.
    `protected int` | `wmReportIdNSizeIs` Number of elements in the wmReportId array
    `protected java.util.List<java.lang.Integer>` | `wmReportTaskId` An array of corresponding `CfgReportTask` identifiers to filter by.
    `protected int` | `wmReportTaskIdNSizeIs` Number of elements in the wmReportTaskId array
    `protected java.util.List<java.lang.Integer>` | `wmReportType` Defines report type 'OR' logic filter
    `protected int` | `wmReportTypeNSizeIs` Number of elements in the wmReportType array
    `protected double` | `wmStartTimestamp` Defines start boundary of time range filter for CfgReport.wmTimestamp member.
    `protected java.util.List<java.lang.Integer>` | `wmStatus` Defines `ECfgReportStatus` 'OR' logic filter
    `protected int` | `wmStatusNSizeIs` Number of elements in the wmStatus array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgReportFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getWmEndTimestamp()` Gets the value of the wmEndTimestamp property.
    `java.util.List<java.lang.Integer>` | `getWmReportId()` Gets the value of the wmReportId property.
    `int` | `getWmReportIdNSizeIs()` Gets the value of the wmReportIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmReportTaskId()` Gets the value of the wmReportTaskId property.
    `int` | `getWmReportTaskIdNSizeIs()` Gets the value of the wmReportTaskIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmReportType()` Gets the value of the wmReportType property.
    `int` | `getWmReportTypeNSizeIs()` Gets the value of the wmReportTypeNSizeIs property.
    `double` | `getWmStartTimestamp()` Gets the value of the wmStartTimestamp property.
    `java.util.List<java.lang.Integer>` | `getWmStatus()` Gets the value of the wmStatus property.
    `int` | `getWmStatusNSizeIs()` Gets the value of the wmStatusNSizeIs property.
    `int` | `hashCode()`
    `boolean` | `isAllUsers()` Gets the value of the allUsers property.
    `void` | `setAllUsers(boolean value)` Sets the value of the allUsers property.
    `void` | `setWmEndTimestamp(double value)` Sets the value of the wmEndTimestamp property.
    `void` | `setWmReportId(java.util.List<java.lang.Integer> wmReportId)` Sets the value of the wmReportId property.
    `void` | `setWmReportIdNSizeIs(int value)` Sets the value of the wmReportIdNSizeIs property.
    `void` | `setWmReportTaskId(java.util.List<java.lang.Integer> wmReportTaskId)` Sets the value of the wmReportTaskId property.
    `void` | `setWmReportTaskIdNSizeIs(int value)` Sets the value of the wmReportTaskIdNSizeIs property.
    `void` | `setWmReportType(java.util.List<java.lang.Integer> wmReportType)` Sets the value of the wmReportType property.
    `void` | `setWmReportTypeNSizeIs(int value)` Sets the value of the wmReportTypeNSizeIs property.
    `void` | `setWmStartTimestamp(double value)` Sets the value of the wmStartTimestamp property.
    `void` | `setWmStatus(java.util.List<java.lang.Integer> wmStatus)` Sets the value of the wmStatus property.
    `void` | `setWmStatusNSizeIs(int value)` Sets the value of the wmStatusNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgReportFilter` | `withAllUsers(boolean value)`
    `CfgReportFilter` | `withWmEndTimestamp(double value)`
    `CfgReportFilter` | `withWmReportId(java.util.Collection<java.lang.Integer> values)`
    `CfgReportFilter` | `withWmReportId(java.lang.Integer... values)`
    `CfgReportFilter` | `withWmReportIdNSizeIs(int value)`
    `CfgReportFilter` | `withWmReportTaskId(java.util.Collection<java.lang.Integer> values)`
    `CfgReportFilter` | `withWmReportTaskId(java.lang.Integer... values)`
    `CfgReportFilter` | `withWmReportTaskIdNSizeIs(int value)`
    `CfgReportFilter` | `withWmReportType(java.util.Collection<java.lang.Integer> values)`
    `CfgReportFilter` | `withWmReportType(java.lang.Integer... values)`
    `CfgReportFilter` | `withWmReportTypeNSizeIs(int value)`
    `CfgReportFilter` | `withWmStartTimestamp(double value)`
    `CfgReportFilter` | `withWmStatus(java.util.Collection<java.lang.Integer> values)`
    `CfgReportFilter` | `withWmStatus(java.lang.Integer... values)`
    `CfgReportFilter` | `withWmStatusNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmReportIdNSizeIs

          protected int wmReportIdNSizeIs

      Number of elements in the wmReportId array

    - #### wmReportId

          protected java.util.List<java.lang.Integer> wmReportId

      A list of `CfgReport` identifiers to filter by.

    - #### wmReportTaskIdNSizeIs

          protected int wmReportTaskIdNSizeIs

      Number of elements in the wmReportTaskId array

    - #### wmReportTaskId

          protected java.util.List<java.lang.Integer> wmReportTaskId

      An array of corresponding `CfgReportTask` identifiers to filter by.

    - #### wmReportTypeNSizeIs

          protected int wmReportTypeNSizeIs

      Number of elements in the wmReportType array

    - #### wmReportType

          protected java.util.List<java.lang.Integer> wmReportType

      Defines report type 'OR' logic filter

    - #### wmStatusNSizeIs

          protected int wmStatusNSizeIs

      Number of elements in the wmStatus array

    - #### wmStatus

          protected java.util.List<java.lang.Integer> wmStatus

      Defines `ECfgReportStatus` 'OR' logic filter

    - #### wmStartTimestamp

          protected double wmStartTimestamp

      Defines start boundary of time range filter for CfgReport.wmTimestamp member. Takes values in GMT/UTC time zone `OleDateTime` Can be NULL (0.0) to be ignored.

    - #### wmEndTimestamp

          protected double wmEndTimestamp

      Defines end boundary of time range filter for CfgReport.wmTimestamp member. Takes values in GMT/UTC time zone `OleDateTime` Can be NULL (0.0) to be ignored.

    - #### allUsers

          protected boolean allUsers

      Indicates whether report distribution list should be checked against current user or not. Meanings: 'true' - Return all reports no matter what distribution list is. 'false' - Distribution list should be checked and only those reports that current user is assigned to shall be returned.

  - ### Constructor Detail

    - #### CfgReportFilter

          public CfgReportFilter()

  - ### Method Detail

    - #### getWmReportIdNSizeIs

          public int getWmReportIdNSizeIs()

      Gets the value of the wmReportIdNSizeIs property.

    - #### setWmReportIdNSizeIs

          public void setWmReportIdNSizeIs(int value)

      Sets the value of the wmReportIdNSizeIs property.

    - #### getWmReportId

          public java.util.List<java.lang.Integer> getWmReportId()

      Gets the value of the wmReportId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmReportId property.

      For example, to add a new item, do as follows:

              getWmReportId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmReportTaskIdNSizeIs

          public int getWmReportTaskIdNSizeIs()

      Gets the value of the wmReportTaskIdNSizeIs property.

    - #### setWmReportTaskIdNSizeIs

          public void setWmReportTaskIdNSizeIs(int value)

      Sets the value of the wmReportTaskIdNSizeIs property.

    - #### getWmReportTaskId

          public java.util.List<java.lang.Integer> getWmReportTaskId()

      Gets the value of the wmReportTaskId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmReportTaskId property.

      For example, to add a new item, do as follows:

              getWmReportTaskId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmReportTypeNSizeIs

          public int getWmReportTypeNSizeIs()

      Gets the value of the wmReportTypeNSizeIs property.

    - #### setWmReportTypeNSizeIs

          public void setWmReportTypeNSizeIs(int value)

      Sets the value of the wmReportTypeNSizeIs property.

    - #### getWmReportType

          public java.util.List<java.lang.Integer> getWmReportType()

      Gets the value of the wmReportType property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmReportType property.

      For example, to add a new item, do as follows:

              getWmReportType().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmStatusNSizeIs

          public int getWmStatusNSizeIs()

      Gets the value of the wmStatusNSizeIs property.

    - #### setWmStatusNSizeIs

          public void setWmStatusNSizeIs(int value)

      Sets the value of the wmStatusNSizeIs property.

    - #### getWmStatus

          public java.util.List<java.lang.Integer> getWmStatus()

      Gets the value of the wmStatus property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmStatus property.

      For example, to add a new item, do as follows:

              getWmStatus().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmStartTimestamp

          public double getWmStartTimestamp()

      Gets the value of the wmStartTimestamp property.

    - #### setWmStartTimestamp

          public void setWmStartTimestamp(double value)

      Sets the value of the wmStartTimestamp property.

    - #### getWmEndTimestamp

          public double getWmEndTimestamp()

      Gets the value of the wmEndTimestamp property.

    - #### setWmEndTimestamp

          public void setWmEndTimestamp(double value)

      Sets the value of the wmEndTimestamp property.

    - #### isAllUsers

          public boolean isAllUsers()

      Gets the value of the allUsers property.

    - #### setAllUsers

          public void setAllUsers(boolean value)

      Sets the value of the allUsers property.

    - #### withWmReportIdNSizeIs

          public CfgReportFilter withWmReportIdNSizeIs(int value)

    - #### withWmReportId

          public CfgReportFilter withWmReportId(java.lang.Integer... values)

    - #### withWmReportId

          public CfgReportFilter withWmReportId(java.util.Collection<java.lang.Integer> values)

    - #### withWmReportTaskIdNSizeIs

          public CfgReportFilter withWmReportTaskIdNSizeIs(int value)

    - #### withWmReportTaskId

          public CfgReportFilter withWmReportTaskId(java.lang.Integer... values)

    - #### withWmReportTaskId

          public CfgReportFilter withWmReportTaskId(java.util.Collection<java.lang.Integer> values)

    - #### withWmReportTypeNSizeIs

          public CfgReportFilter withWmReportTypeNSizeIs(int value)

    - #### withWmReportType

          public CfgReportFilter withWmReportType(java.lang.Integer... values)

    - #### withWmReportType

          public CfgReportFilter withWmReportType(java.util.Collection<java.lang.Integer> values)

    - #### withWmStatusNSizeIs

          public CfgReportFilter withWmStatusNSizeIs(int value)

    - #### withWmStatus

          public CfgReportFilter withWmStatus(java.lang.Integer... values)

    - #### withWmStatus

          public CfgReportFilter withWmStatus(java.util.Collection<java.lang.Integer> values)

    - #### withWmStartTimestamp

          public CfgReportFilter withWmStartTimestamp(double value)

    - #### withWmEndTimestamp

          public CfgReportFilter withWmEndTimestamp(double value)

    - #### withAllUsers

          public CfgReportFilter withAllUsers(boolean value)

    - #### setWmReportId

          public void setWmReportId(java.util.List<java.lang.Integer> wmReportId)

      Sets the value of the wmReportId property.
      Parameters:
        `wmReportId` - allowed object is `Integer`

    - #### setWmReportTaskId

          public void setWmReportTaskId(java.util.List<java.lang.Integer> wmReportTaskId)

      Sets the value of the wmReportTaskId property.
      Parameters:
        `wmReportTaskId` - allowed object is `Integer`

    - #### setWmReportType

          public void setWmReportType(java.util.List<java.lang.Integer> wmReportType)

      Sets the value of the wmReportType property.
      Parameters:
        `wmReportType` - allowed object is `Integer`

    - #### setWmStatus

          public void setWmStatus(java.util.List<java.lang.Integer> wmStatus)

      Sets the value of the wmStatus property.
      Parameters:
        `wmStatus` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.